cutlass::reference::device::detail::RandomUniformFunc< Element >::Params Struct Reference

Parameters structure.

`#include <tensor_fill.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE | Params ()
| Default ctor. More...
| Params (uint64_t seed_=0, Element max=1, Element min_=0, int int_scale_=-1)
| Construction of Gaussian RNG functor. More...

## Public Attributes

uint64_t | seed
FloatType | range
FloatType | min
int | int_scale

## Constructor & Destructor Documentation

template<typename Element >

CUTLASS_HOST_DEVICE cutlass::reference::device::detail::RandomUniformFunc< Element >::Params::Params | ( |  | ) |

inline

template<typename Element >

cutlass::reference::device::detail::RandomUniformFunc< Element >::Params::Params | ( | uint64_t | seed_ = `0`,
|  | Element | max = `1`,
|  | Element | min_ = `0`,
|  | int | int_scale_ = `-1`
| ) |  |

inline

## Member Data Documentation

template<typename Element >

int cutlass::reference::device::detail::RandomUniformFunc< Element >::Params::int_scale

template<typename Element >

FloatType cutlass::reference::device::detail::RandomUniformFunc< Element >::Params::min

template<typename Element >

FloatType cutlass::reference::device::detail::RandomUniformFunc< Element >::Params::range

template<typename Element >

uint64_t cutlass::reference::device::detail::RandomUniformFunc< Element >::Params::seed

The documentation for this struct was generated from the following file:

- device/tensor_fill.h